# Generated by go2rpm 1
%bcond_without check

# https://github.com/aws/aws-lambda-go
%global goipath         github.com/aws/aws-lambda-go
Version:                1.16.0

%gometa

%global common_description %{expand:
Libraries, samples and tools to help Go developers develop AWS Lambda
functions.}

%global golicenses      LICENSE-LAMBDACODE LICENSE-SUMMARY LICENSE
%global godocs          README.md lambda/README-lambda.md README-messages.md\\\
                        events/README_SES.md\\\
                        events/README_Cognito_UserPools_PreTokenGen.md\\\
                        events/README_SNS.md events/README_DynamoDB.md events\\\
                        /README_Cognito_UserPools_CustomAuthLambdaTriggers.md\\\
                        events/README_Cognito_UserPools_PostConfirmation.md\\\
                        events/README_AutoScaling.md\\\
                        events/README_ALBTargetGroupEvents.md\\\
                        events/README.md\\\
                        events/README_ApiGatewayCustomAuthorizer.md\\\
                        events/README_Connect.md\\\
                        events/README_KinesisDataAnalytics.md\\\
                        events/README_CloudWatch_Logs.md\\\
                        events/README_S3_Batch_Job.md\\\
                        events/README_CodeDeploy.md events/README_S3.md\\\
                        events/README_Cognito_UserPools_PreAuthentication.md\\\
                        events/README_Chime_Bots.md\\\
                        events/README_CodeCommit.md events/README_Lex.md\\\
                        events/README_Cognito.md\\\
                        events/README_ApiGatewayEvent.md\\\
                        events/README_CloudWatch_Events.md\\\
                        events/README_KinesisFirehose.md\\\
                        events/README_Kinesis.md events/README_SQS.md\\\
                        events/README_Cognito_UserPools_PreSignup.md\\\
                        events/README_CodeBuild.md events/README_Config.md\\\
                        README-lambdacontext.md README-cfn.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Libraries, samples and tools to develop AWS Lambda functions

# Upstream license specification: MIT and Apache-2.0
License:        MIT and ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/urfave/cli/v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv %{_builddir}/aws-lambda-go-%{version}/lambda/README.md README-lambda.md
mv %{_builddir}/aws-lambda-go-%{version}/lambda/messages/README.md README-messages.md
mv %{_builddir}/aws-lambda-go-%{version}/lambdacontext/README.md README-lambdacontext.md
mv %{_builddir}/aws-lambda-go-%{version}/cfn/README.md README-cfn.md

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE-LAMBDACODE LICENSE-SUMMARY LICENSE
%doc README.md README-lambda.md README-messages.md events/README_SES.md
%doc events/README_Cognito_UserPools_PreTokenGen.md events/README_SNS.md
%doc events/README_DynamoDB.md
%doc events/README_Cognito_UserPools_CustomAuthLambdaTriggers.md
%doc events/README_Cognito_UserPools_PostConfirmation.md
%doc events/README_AutoScaling.md events/README_ALBTargetGroupEvents.md
%doc events/README.md events/README_ApiGatewayCustomAuthorizer.md
%doc events/README_Connect.md events/README_KinesisDataAnalytics.md
%doc events/README_CloudWatch_Logs.md events/README_S3_Batch_Job.md
%doc events/README_CodeDeploy.md events/README_S3.md
%doc events/README_Cognito_UserPools_PreAuthentication.md
%doc events/README_Chime_Bots.md events/README_CodeCommit.md
%doc events/README_Lex.md events/README_Cognito.md
%doc events/README_ApiGatewayEvent.md events/README_CloudWatch_Events.md
%doc events/README_KinesisFirehose.md events/README_Kinesis.md
%doc events/README_SQS.md events/README_Cognito_UserPools_PreSignup.md
%doc events/README_CodeBuild.md events/README_Config.md README-lambdacontext.md
%doc README-cfn.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Apr 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.16.0-1
- Initial package

